Get public order events
curl --request GET \
--url https://futures.kraken.com/api/history/v3/market/{tradeable}/ordersimport requests
url = "https://futures.kraken.com/api/history/v3/market/{tradeable}/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://futures.kraken.com/api/history/v3/market/{tradeable}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/api/history/v3/market/{tradeable}/orders"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"len": 123,
"elements": [
{
"uid": "<string>",
"timestamp": 1604937694000,
"event": {
"OrderPlaced": {
"order": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tradeable": "<string>",
"direction": "Buy",
"quantity": "1234.56789",
"timestamp": 1604937694000,
"limitPrice": "1234.56789",
"orderType": "<string>",
"reduceOnly": true,
"lastUpdateTimestamp": 1604937694000
},
"reason": "<string>",
"reducedQuantity": "<string>"
}
}
}
],
"continuationToken": "aSDinaTvuI8gbWludGxpZnk="
}Market History
Get public order events
Lists order events for a market.
GET
/
market
/
{tradeable}
/
orders
Get public order events
curl --request GET \
--url https://futures.kraken.com/api/history/v3/market/{tradeable}/ordersimport requests
url = "https://futures.kraken.com/api/history/v3/market/{tradeable}/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://futures.kraken.com/api/history/v3/market/{tradeable}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/api/history/v3/market/{tradeable}/orders"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"len": 123,
"elements": [
{
"uid": "<string>",
"timestamp": 1604937694000,
"event": {
"OrderPlaced": {
"order": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tradeable": "<string>",
"direction": "Buy",
"quantity": "1234.56789",
"timestamp": 1604937694000,
"limitPrice": "1234.56789",
"orderType": "<string>",
"reduceOnly": true,
"lastUpdateTimestamp": 1604937694000
},
"reason": "<string>",
"reducedQuantity": "<string>"
}
}
}
],
"continuationToken": "aSDinaTvuI8gbWludGxpZnk="
}Query Parameters
Was this page helpful?